Webhook - Update
Perbarui webhook yang diidentifikasi dengan nama webhook.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Automation/automationAccounts/{automationAccountName}/webhooks/{webhookName}?api-version=2015-10-31
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
automation
|
path | True |
|
Nama akun automasi. |
|
resource
|
path | True |
|
Nama grup Sumber Daya Azure. Regex pattern: |
|
subscription
|
path | True |
|
Mendapatkan kredensial langganan yang secara unik mengidentifikasi langganan Microsoft Azure. ID langganan membentuk bagian dari URI untuk setiap panggilan layanan. |
|
webhook
|
path | True |
|
Nama webhook. |
|
api-version
|
query | True |
|
Versi Api Klien. |
Isi Permintaan
| Name | Type | Description |
|---|---|---|
| name |
|
Mendapatkan atau mengatur nama webhook. |
| properties.description |
|
Mendapatkan atau mengatur deskripsi webhook. |
| properties.isEnabled |
|
Mendapatkan atau menetapkan nilai bendera webhook yang diaktifkan. |
| properties.parameters |
|
Mendapatkan atau mengatur parameter pekerjaan. |
| properties.runOn |
|
Mendapatkan atau mengatur nama grup hybrid worker tempat pekerjaan webhook akan berjalan. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Respons kesalahan automasi yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
Update webhook
Sample Request
Sample Response
{
"id": "/subscriptions/subid/resourceGroups/rg/providers/Microsoft.Automation/automationAccounts/myAutomationAccount33/webhooks/TestWebhook",
"name": "TestWebhook",
"properties": {
"isEnabled": false,
"expiryTime": "2018-03-30T23:03:14.5752078+00:00",
"runbook": {
"name": "TestRunbook"
},
"lastInvokedTime": null,
"runOn": null,
"parameters": null,
"uri": "",
"creationTime": "2017-03-30T21:52:01.272378+00:00",
"lastModifiedBy": "",
"lastModifiedTime": "2017-03-30T23:03:14.9069441+00:00"
}
}
Definisi
|
Error |
Respons kesalahan kegagalan operasi |
|
Runbook |
Properti runbook yang terkait dengan entitas. |
| Webhook |
Definisi jenis webhook. |
|
Webhook |
Parameter yang disediakan untuk operasi webhook pembaruan. |
ErrorResponse
Respons kesalahan kegagalan operasi
| Name | Type | Description |
|---|---|---|
| code |
|
Kode kesalahan |
| message |
|
Pesan kesalahan yang menunjukkan mengapa operasi gagal. |
RunbookAssociationProperty
Properti runbook yang terkait dengan entitas.
| Name | Type | Description |
|---|---|---|
| name |
|
Mendapatkan atau mengatur nama runbook. |
Webhook
Definisi jenis webhook.
| Name | Type | Default Value | Description |
|---|---|---|---|
| id |
|
Id sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya |
|
| name |
|
Nama sumber daya. |
|
| properties.creationTime |
|
Mendapatkan atau mengatur waktu pembuatan. |
|
| properties.description |
|
Mendapatkan atau mengatur deskripsi. |
|
| properties.expiryTime |
|
Mendapatkan atau mengatur waktu kedaluwarsa. |
|
| properties.isEnabled |
|
False |
Mendapatkan atau menetapkan nilai bendera webhook yang diaktifkan. |
| properties.lastInvokedTime |
|
Mendapatkan atau mengatur waktu terakhir yang dipanggil. |
|
| properties.lastModifiedBy |
|
Detail pengguna yang terakhir mengubah Webhook |
|
| properties.lastModifiedTime |
|
Mendapatkan atau mengatur waktu terakhir yang dimodifikasi. |
|
| properties.parameters |
|
Mendapatkan atau mengatur parameter pekerjaan yang dibuat saat webhook memanggil runbook yang terkait dengannya. |
|
| properties.runOn |
|
Mendapatkan atau mengatur nama grup hybrid worker tempat pekerjaan webhook akan berjalan. |
|
| properties.runbook |
Mendapatkan atau mengatur runbook yang dikaitkan dengan webhook. |
||
| properties.uri |
|
Mendapatkan atau mengatur uri webhook. |
|
| type |
|
Jenis sumber daya. |
WebhookUpdateParameters
Parameter yang disediakan untuk operasi webhook pembaruan.
| Name | Type | Description |
|---|---|---|
| name |
|
Mendapatkan atau mengatur nama webhook. |
| properties.description |
|
Mendapatkan atau mengatur deskripsi webhook. |
| properties.isEnabled |
|
Mendapatkan atau menetapkan nilai bendera webhook yang diaktifkan. |
| properties.parameters |
|
Mendapatkan atau mengatur parameter pekerjaan. |
| properties.runOn |
|
Mendapatkan atau mengatur nama grup hybrid worker tempat pekerjaan webhook akan berjalan. |